NETDEV_ALLOC_SKB(9)

NAME
netdev_alloc_skb - allocate an skbuff for rx on a specific device

SYNOPSIS

struct sk_buff * netdev_alloc_skb(struct net_device * dev, unsigned int length);

ARGUMENTS

dev
    network device to receive on

length
    length to allocate

DESCRIPTION

Allocate a new sk_buff and assign it a usage count of one. The buffer has unspecified headroom built in. Users should allocate the headroom they think they need without accounting for the built in space. The built in space is used for optimisations.

NULL is returned if there is no free memory. Although this function allocates memory it can be called from an interrupt.

COPYRIGHT